require "app/api3/helpers/parser"

module Devops
  module API3
    module Parser
      class RequestParser

        include Devops::API3::ParserHelpers

        def initialize request
          @request = request
          @params = request.params
        end

        def current_user
          @request.env['REMOTE_USER']
        end

        def request
          @request
        end

        def body
          @params
        end

      end
    end
  end
end
